Bug 9260 - kccdrs_replica_get_info returns invalid level when non supported should be returned
kccdrs_replica_get_info returns invalid level when non supported should be re...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 06:43 UTC by Matthieu Patou
Modified: 2012-10-15 09:56 UTC (History)
0 users

See Also:


Attachments
Proposed patch to fix the problem (2.82 KB, patch)
2012-10-13 07:37 UTC, Matthieu Patou
mat: review? (metze)
abartlet: review+
mat: review? (jra)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2012-10-08 06:43:49 UTC
kccdrs_replica_get_info for valid level returns invalid level, in fact as we partially support this level we should return not supported for the calls that we don't support
Comment 1 Matthieu Patou 2012-10-13 07:37:10 UTC
Created attachment 8061 [details]
Proposed patch to fix the problem
Comment 2 Michael Adam 2012-10-14 19:19:31 UTC
Assigning to Karolin for inclusion into v4-0-test
Comment 3 Karolin Seeger 2012-10-15 09:56:45 UTC
Pushed to autobuild-v4-0-test.
Closing out bug report.

Thanks!